org.eclipse.jetty.server.handler.jmx

## Class AbstractHandlerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean

All Implemented Interfaces:
  DynamicMBean

Direct Known Subclasses:
  AbstractSessionManagerMBean, ContextHandlerMBean

    public class AbstractHandlerMBean
    extends ObjectMBean

### Field Summary

### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

`_managed`

### Constructor Summary

Constructors
Constructor and Description
`AbstractHandlerMBean(Object managedObject)`

### Method Summary

Methods
`protected String` `getContextName(ContextHandler context)`
`String` `getObjectContextBasis()`
`String` `getObjectNameBasis()`

### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractHandlerMBean

    public AbstractHandlerMBean(Object managedObject)

### Method Detail

#### getObjectContextBasis

    public String getObjectContextBasis()

Overrides:
  `getObjectContextBasis` in class `ObjectMBean`

#### getObjectNameBasis

    public String getObjectNameBasis()

Overrides:
  `getObjectNameBasis` in class `ObjectMBean`

#### getContextName

    protected String getContextName(ContextHandler context)